## Class cleanup_guard

boost::log::sinks::basic_formatting_sink_frontend::formatting_context::cleanup_guard

## Synopsis

    // In header: <boost/log/sinks/basic_sink_frontend.hpp>

    class cleanup_guard {
    public:
      // construct/copy/destruct
      explicit cleanup_guard(formatting_context &) noexcept;
      cleanup_guard(cleanup_guard const &) = delete;
      cleanup_guard & operator=(cleanup_guard const &) = delete;
      ~cleanup_guard();
    };

## Description

### `cleanup_guard` public construct/copy/destruct

1.     explicit cleanup_guard(formatting_context & ctx) noexcept;

2.     cleanup_guard(cleanup_guard const &) = delete;

3.     cleanup_guard & operator=(cleanup_guard const &) = delete;

4.     ~cleanup_guard();